## manaplus 1.8.12.8

=== data/CMakeLists.txt ===
SET(DATA_DIR ${PKG_DATADIR}/data)

ADD_SUBDIRECTORY(fonts)
ADD_SUBDIRECTORY(graphics)
ADD_SUBDIRECTORY(help)
ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(music)
ADD_SUBDIRECTORY(perserver)
ADD_SUBDIRECTORY(sfx)
ADD_SUBDIRECTORY(test)
ADD_SUBDIRECTORY(themes)
ADD_SUBDIRECTORY(translations)

=== src/CMakeLists.txt ===
FIND_PACKAGE(SDL REQUIRED)
FIND_PACKAGE(SDL_image REQUIRED)
FIND_PACKAGE(SDL_mixer REQUIRED)
FIND_PACKAGE(SDL_net REQUIRED)
FIND_PACKAGE(SDL_ttf REQUIRED)
FIND_PACKAGE(SDL_gfx REQUIRED)
FIND_PACKAGE(CURL REQUIRED)
FIND_PACKAGE(LibXml2 REQUIRED)
FIND_PACKAGE(PNG REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)
FIND_PACKAGE(ZLIB REQUIRED)

IF (POLICY CMP0015)
  CMAKE_POLICY(SET CMP0015 OLD)
ENDIF()

SET(FLAGS "-DPACKAGE_VERSION=\\\"${VERSION}\\\"")
SET(FLAGS "${FLAGS} -DPKG_DATADIR=\\\"${PKG_DATADIR}/\\\"")
SET(FLAGS "${FLAGS} -DLOCALEDIR=\\\"${LOCALEDIR}/\\\"")
SET(DYE_FLAGS "-DPACKAGE_VERSION=\\\"${VERSION}\\\" -DDYECMD")
SET(DYE_FLAGS "${DYE_FLAGS} -DPKG_DATADIR=\\\"${PKG_DATADIR}/\\\"")
SET(DYE_FLAGS "${DYE_FLAGS} -DLOCALEDIR=\\\"${LOCALEDIR}/\\\"")

IF (ENABLE_NLS)
    SET(FLAGS "${FLAGS} -DENABLE_NLS=1")
ENDIF()

IF (ENABLE_TMWA)
    SET(FLAGS "${FLAGS} -DTMWA_SUPPORT=1")
ENDIF()

SET(FLAGS "${FLAGS} -DENABLE_LIBXML -DENABLE_ASSERTS")

IF (CMAKE_BUILD_TYPE)
    STRING(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_TOLOWER)
    IF(CMAKE_BUILD_TYPE_TOLOWER MATCHES debug OR
       CMAKE_BUILD_TYPE_TOLOWER MATCHES relwithdebinfo)
        SET(FLAGS "${FLAGS} -DDEBUG")
        SET(DYE_FLAGS "${DYE_FLAGS} -DDEBUG")
    ENDIF()
ENDIF()

IF (WIN32)
    SET(EXTRA_LIBRARIES ws2_32 winmm)
    FIND_PACKAGE(LibIntl REQUIRED)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "Darwin" OR BEOS)
    FIND_PACKAGE(LibIntl REQUIRED)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL SunOS)
    # explicit linking to libintl is required on Solaris
    SET(EXTRA_LIBRARIES intl)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL Linux)
    #some distros need this explicitly linked
    SET(EXTRA_LIBRARIES rt)
ENDIF()

SET(FLAGS "${FLAGS} -DUSE_MUMBLE")

IF (WITH_OPENGL)
    FIND_PACKAGE(OpenGL REQUIRED)
    INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
    SET(FLAGS "${FLAGS} -DUSE_OPENGL")
ENDIF (WITH_OPENGL)

IF (USE_X11)
    FIND_PACKAGE(X11 REQUIRED)
    INCLUDE_DIRECTORIES(${X11_INCLUDE_DIR})
    SET(FLAGS "${FLAGS} -DUSE_X11")
ENDIF (USE_X11)

INCLUDE_DIRECTORIES(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${SDL_INCLUDE_DIR}
    ${SDLIMAGE_INCLUDE_DIR}
    ${SDLMIXER_INCLUDE_DIR}
    ${SDLNET_INCLUDE_DIR}
    ${SDLTTF_INCLUDE_DIR}
    ${SDLGFX_INCLUDE_DIR}
    ${PNG_INCLUDE_DIR}
    ${CURL_INCLUDE_DIR}
    ${LIBXML2_INCLUDE_DIR}
    )

# enable rc-handling with mingw
# most likely this part can be kicked out with some later cmake version
IF (MINGW)
    FIND_PATH(MINGW_INCLUDE_DIR windows.h $ENV{INCLUDE})
    IF (MINGW_INCLUDE_DIR)
        MESSAGE(STATUS "Found mingw headers: ${MINGW_INCLUDE_DIR}")
        INCLUDE_DIRECTORIES(${MINGW_INCLUDE_DIR})
    ELSE()
        MESSAGE(FATAL_ERROR "Unable to find mingw headers. Required for windres")
    ENDIF()
    SET(CMAKE_RC_COMPILER_INIT windres)
    ENABLE_LANGUAGE(RC)
    SET(CMAKE_RC_COMPILE_OBJECT
      "<CMAKE_RC_COMPILER> <FLAGS> <DEFINES> -O coff -o <OBJECT> <SOURCE>")
ENDIF()

# Fix some stuff that gets not hidden by mainline modules
MARK_AS_ADVANCED(SDLIMAGE_INCLUDE_DIR)
MARK_AS_ADVANCED(SDLIMAGE_LIBRARY)
MARK_AS_ADVANCED(SDLMAIN_LIBRARY)
MARK_AS_ADVANCED(SDLMIXER_INCLUDE_DIR)
MARK_AS_ADVANCED(SDLMIXER_LIBRARY)
MARK_AS_ADVANCED(SDLNET_INCLUDE_DIR)
MARK_AS_ADVANCED(SDLNET_LIBRARY)
MARK_AS_ADVANCED(SDL_INCLUDE_DIR)
MARK_AS_ADVANCED(SDL_LIBRARY)

SET(SRCS
    gui/widgets/avatarlistbox.cpp
    gui/widgets/avatarlistbox.h
    gui/models/avatarlistmodel.h
    gui/models/beingslistmodel.h
    gui/models/colorlistmodel.h
    gui/widgets/tabs/chat/battletab.cpp
    gui/widgets/tabs/chat/battletab.h
    gui/widgets/tabs/chat/channeltab.cpp
    gui/widgets/tabs/chat/channeltab.h
    gui/widgets/browserbox.cpp
    gui/widgets/browserbox.h
    gui/widgets/browserbox.inc
    gui/widgets/button.cpp
    gui/widgets/button.h
    gui/widgets/characterdisplay.cpp
    gui/widgets/characterdisplay.h
    gui/widgets/characterviewbase.h
    gui/widgets/characterviewnormal.cpp
    gui/widgets/characterviewnormal.h
    gui/widgets/characterviewsmall.cpp
    gui/widgets/characterviewsmall.h
    gui/widgets/attrs/attrdisplay.cpp
    gui/widgets/attrs/attrdisplay.h
    gui/widgets/attrs/changedisplay.cpp
    gui/widgets/attrs/changedisplay.h
    gui/widgets/attrs/derdisplay.cpp
    gui/widgets/attrs/derdisplay.h
    gui/widgets/tabs/clanwindowtabs.cpp
    gui/widgets/tabs/clanwindowtabs.h
    gui/widgets/tabs/debugtab.h
    gui/widgets/tabs/mapdebugtab.cpp
    gui/widgets/tabs/mapdebugtab.h
    gui/widgets/tabs/netdebugtab.cpp
    gui/widgets/tabs/netdebugtab.h
    gui/widgets/tabs/targetdebugtab.cpp
    gui/widgets/tabs/targetdebugtab.h
    gui/widgets/tabs/chat/chattab.cpp
    gui/widgets/tabs/chat/chattab.h
    gui/widgets/tabs/chat/clantab.cpp
    gui/widgets/tabs/chat/clantab.h
    gui/widgets/chatinput.h
    gui/widgets/checkbox.cpp
    gui/widgets/checkbox.h
    gui/models/colormodel.cpp
    gui/models/colormodel.h
    gui/widgets/colorpage.cpp
    gui/widgets/colorpage.h
    gui/widgets/container.cpp
    gui/widgets/container.h
    gui/widgets/containerplacer.cpp
    gui/widgets/containerplacer.h
    gui/widgets/createwidget.h
    gui/widgets/desktop.cpp
    gui/widgets/desktop.h
    gui/widgets/dropdown.cpp
    gui/widgets/dropdown.h
    gui/widgets/emoteshortcutcontainer.cpp
    gui/widgets/emoteshortcutcontainer.h
    gui/widgets/equipmentbox.h
    gui/widgets/equipmentpage.h
    gui/widgets/extendedlistbox.cpp
    gui/widgets/extendedlistbox.h
    gui/widgets/extendedlistboxitem.h
    gui/models/extendedlistmodel.h
    gui/models/extendednamesmodel.cpp
    gui/models/extendednamesmodel.h
    gui/models/fontsizechoicelistmodel.h
    gui/models/fontsmodel.h
    gui/models/iconsmodel.h
    gui/models/ignorechoiceslistmodel.h
    gui/models/itemsmodel.h
    gui/models/keylistmodel.h
    gui/models/langlistmodel.h
    gui/widgets/flowcontainer.cpp
    gui/widgets/flowcontainer.h
    gui/widgets/tabs/chat/gmtab.cpp
    gui/widgets/tabs/chat/gmtab.h
    gui/widgets/tabs/chat/guildtab.cpp
    gui/widgets/tabs/chat/guildtab.h
    gui/widgets/tabs/chat/partytab.cpp
    gui/widgets/tabs/chat/partytab.h
    gui/widgets/horizontcontainer.cpp
    gui/widgets/horizontcontainer.h
    gui/widgets/icon.cpp
    gui/widgets/icon.h
    gui/widgets/inttextfield.cpp
    gui/widgets/inttextfield.h
    gui/widgets/itemcontainer.cpp
    gui/widgets/itemcontainer.h
    gui/widgets/itemlinkhandler.cpp
    gui/widgets/itemlinkhandler.h
    gui/widgets/virtshortcutcontainer.cpp
    gui/widgets/virtshortcutcontainer.h
    gui/widgets/emotepage.cpp
    gui/widgets/emotepage.h
    gui/widgets/itemshortcutcontainer.cpp
    gui/widgets/itemshortcutcontainer.h
    gui/widgets/spellshortcutcontainer.cpp
    gui/widgets/spellshortcutcontainer.h
    gui/widgets/staticbrowserbox.cpp
    gui/widgets/staticbrowserbox.h
    gui/widgets/statspage.cpp
    gui/widgets/statspage.h
    gui/widgets/statspagebasic.cpp
    gui/widgets/statspagebasic.h
    gui/widgets/label.cpp
    gui/widgets/label.h
    gui/widgets/tabs/chat/langtab.cpp
    gui/widgets/tabs/chat/langtab.h
    gui/widgets/layout.cpp
    gui/widgets/layout.h
    gui/widgets/layoutarray.cpp
    gui/widgets/layoutarray.h
    gui/widgets/layoutcell.cpp
    gui/widgets/layoutcell.h
    gui/widgets/layouthelper.cpp
    gui/widgets/layouthelper.h
    enums/gui/layouttype.h
    enums/gui/linkhighlightmode.h
    enums/gui/npcactionstate.h
    enums/gui/npcinputstate.h
    gui/widgets/linepart.cpp
    gui/widgets/linepart.h
    gui/widgets/linkhandler.h
    gui/widgets/listbox.cpp
    gui/widgets/listbox.h
    gui/models/modelistmodel.cpp
    gui/models/modelistmodel.h
    gui/models/namesmodel.cpp
    gui/models/namesmodel.h
    gui/models/opengllistmodel.h
    gui/models/playerrelationlistmodel.h
    gui/models/playertablemodel.cpp
    gui/models/playertablemodel.h
    gui/models/questsmodel.h
    gui/models/serverslistmodel.h
    gui/widgets/passwordfield.cpp
    gui/widgets/passwordfield.h
    gui/widgets/pincode.cpp
    gui/widgets/pincode.h
    gui/widgets/playerbox.cpp
    gui/widgets/playerbox.h
    gui/widgets/popup.cpp
    gui/widgets/popup.h
    gui/widgets/popuplist.cpp
    gui/widgets/popuplist.h
    gui/widgets/progressbar.cpp
    gui/widgets/progressbar.h
    gui/widgets/progressindicator.cpp
    gui/widgets/progressindicator.h
    gui/widgets/radiobutton.cpp
    gui/widgets/radiobutton.h
    gui/widgets/radiogroup.cpp
    gui/widgets/radiogroup.h
    gui/widgets/scrollarea.cpp
    gui/widgets/scrollarea.h
    gui/widgets/serverslistbox.h
    gui/widgets/setupbuttonitem.cpp
    gui/widgets/setupbuttonitem.h
    gui/widgets/setupitem.cpp
    gui/widgets/setupitem.h
    gui/widgets/setupquickitem.cpp
    gui/widgets/setupquickitem.h
    gui/widgets/tabs/setuptab.cpp
    gui/widgets/tabs/setuptab.h
    gui/widgets/tabs/setuptabscroll.cpp
    gui/widgets/tabs/setuptabscroll.h
    gui/widgets/setuptouchitem.cpp
    gui/widgets/setuptouchitem.h
    gui/models/shopitems.cpp
    gui/models/shopitems.h
    gui/widgets/shoplistbox.cpp
    gui/widgets/shoplistbox.h
    gui/widgets/shortcutcontainer.cpp
    gui/widgets/shortcutcontainer.h
    resources/skill/skilldata.cpp
    resources/skill/skilldata.h
    resources/skill/skillinfo.cpp
    resources/skill/skillinfo.h
    gui/widgets/skilllistbox.h
    gui/widgets/skillrectanglelistbox.h
    gui/models/skillmodel.cpp
    gui/models/skillmodel.h
    gui/models/sortlistmodelbuy.h
    gui/models/sortlistmodelinv.h
    gui/models/soundsmodel.h
    gui/widgets/slider.cpp
    gui/widgets/slider.h
    gui/widgets/sliderlist.cpp
    gui/widgets/sliderlist.h
    gui/widgets/tabs/shortcuttab.h
    gui/widgets/tabs/skilltab.h
    gui/widgets/tabs/socialattacktab.h
    gui/widgets/tabs/socialfriendsfunctor.h
    gui/widgets/tabs/socialfriendstab.h
    gui/widgets/tabs/socialguildtab.h
    gui/widgets/tabs/socialnavigationtab.h
    gui/widgets/tabs/socialpartytab.h
    gui/widgets/tabs/socialpickuptab.h
    gui/widgets/tabs/socialplayerstab.h
    gui/widgets/tabs/socialtab.h
    gui/widgets/tabs/socialtabbase.h
    gui/widgets/tabs/statdebugtab.cpp
    gui/widgets/tabs/statdebugtab.h
    gui/widgets/tabs/tab.cpp
    gui/widgets/tabs/tab.h
    gui/widgets/tabbedarea.cpp
    gui/widgets/tabbedarea.h
    gui/widgets/guitable.cpp
    gui/widgets/guitable.h
    gui/models/tablemodel.cpp
    gui/models/tablemodel.h
    gui/models/targettypemodel.h
    gui/models/touchactionmodel.cpp
    gui/models/touchactionmodel.h
    gui/models/typelistmodel.h
    gui/models/updatetypemodel.h
    gui/models/updatelistmodel.h
    gui/models/worldlistmodel.h
    gui/models/themesmodel.h
    gui/widgets/tabstrip.cpp
    gui/widgets/tabstrip.h
    gui/widgets/textbox.cpp
    gui/widgets/textbox.h
    gui/widgets/textfield.cpp
    gui/widgets/textfield.h
    gui/widgets/textpreview.cpp
    gui/widgets/textpreview.h
    gui/widgets/tabs/chat/tradetab.cpp
    gui/widgets/tabs/chat/tradetab.h
    gui/widgets/vertcontainer.cpp
    gui/widgets/vertcontainer.h
    gui/widgets/tabs/chat/whispertab.cpp
    gui/widgets/tabs/chat/whispertab.h
    gui/widgets/widget2.h
    gui/widgets/widgetgroup.cpp
    gui/widgets/widgetgroup.h
    gui/widgets/window.cpp
    gui/widgets/window.h
    gui/widgets/windowcontainer.cpp
    gui/widgets/windowcontainer.h
    gui/popups/beingpopup.cpp
    gui/popups/beingpopup.h
    gui/windows/buydialog.cpp
    gui/windows/buydialog.h
    gui/windows/buyselldialog.cpp
    gui/windows/buyselldialog.h
    gui/windows/changeemaildialog.cpp
    gui/windows/changeemaildialog.h
    gui/windows/changepassworddialog.cpp
    gui/windows/changepassworddialog.h
    gui/windows/charselectdialog.cpp
    gui/windows/charselectdialog.h
    gui/windows/charcreatedialog.cpp
    gui/windows/charcreatedialog.h
    gui/windows/chardeleteconfirm.h
    gui/windows/chatwindow.cpp
    gui/windows/chatwindow.h
    gui/windows/clanwindow.cpp
    gui/windows/clanwindow.h
    gui/windows/confirmdialog.cpp
    gui/windows/confirmdialog.h
    gui/windows/connectiondialog.cpp

=== data/test/CMakeLists.txt ===
SET(FILES
    arrow_up.png
    arrow_up_A.png
    arrow_up_B.png
    arrow_up_S.png
    dye.png
    equipmentwindow.xml
    hide.png
    items.xml
    itemxmlutils_test.xml
    palette.gpl
    paths.xml
    quests.xml
    serverlistplus.xml
    simplefile.txt
    test.txt
    test2.txt
    test.zip
    test2.zip
    test3.zip
    test4.zip
    test5.zip
    testintmap.xml
    units.xml
    graphics/sprites/hairstyles/hairstyle01.png
    graphics/sprites/hairstyles/hairstyle01.xml
    graphics/sprites/hairstyles/hairstyle02.png
    graphics/sprites/hairstyles/hairstyle02.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/test)

ADD_SUBDIRECTORY(dir1 dir2)

=== data/themes/blacknblack/CMakeLists.txt ===
SET (FILES
    bubble.png
    colors.xml
    emotetabs.xml
    info.xml
    mouse.png
    window.png
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/blacknblack)

=== data/themes/enchilado/CMakeLists.txt ===
SET (FILES
    buy.xml
    colors.xml
    cutin.xml
    emotes.xml
    equipment.xml
    info.xml
    inventory.xml
    items.xml
    mailedit.xml
    npc.xml
    ok.xml
    outfits.xml
    popup.xml
    progressbar.xml
    quests.xml
    sell.xml
    server.xml
    serverinfo.xml
    shop.xml
    spells.xml
    window.png
    window.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/enchilado)

=== data/themes/jewelry/CMakeLists.txt ===
SET (FILES
    avatarlistbox.xml
    beingpopup.xml
    browserbox.xml
    button.xml
    button_disabled.xml
    button_highlighted.xml
    button_pressed.xml
    buttonpin.xml
    buttonpin_disabled.xml
    buttonpin_highlighted.xml
    buttonpin_pressed.xml
    buy.xml
    charcreate.xml
    CHANGELOG.txt
    chat.xml
    checkbox.xml
    circle-off.xml
    circle-on.xml
    colors.xml
    complete_icon.xml
    cutin.xml
    dbutton.xml
    didyouknow.xml
    dpad.xml
    dropdown.xml
    dropdown_background.xml
    dropdown_pressed.xml
    drops.xml
    edit.xml
    emotes.xml
    emotetabs.xml
    equipment.xml
    equipment_background.xml
    equipmentbox.png
    extendedlistbox.xml
    extendedlistbox_high.xml
    extendedlistbox_medium.xml
    extendedlistbox_xhigh.xml
    extendedlistbox_xxhigh.xml
    help.xml
    incomplete_icon.xml
    info.xml
    inventory.xml
    inventory_cell2.xml
    item_selection.xml
    itemcontainer.xml
    itempopup.xml
    items.xml
    keyboard_icon.xml
    keyboard_icon_high.xml
    keyboard_icon_medium.xml
    keyboard_icon_xhigh.xml
    keyboard_icon_xxhigh.xml
    LICENSE.txt
    listbox.xml
    listbox_high.xml
    listbox_medium.xml
    listbox_xhigh.xml
    listbox_xxhigh.xml
    login.xml
    mailedit.xml
    map.xml
    ministatus.xml
    mouse.png
    npc.xml
    ok.xml
    onlinebrowserbox.xml
    outfits.xml
    pin.xml
    playerbox.xml
    playerboxselected.xml
    popup.xml
    popup_high.xml
    popup_xhigh.xml
    popup_xxhigh.xml
    popupbrowserbox.xml
    popupbrowserbox_high.xml
    popupbrowserbox_medium.xml
    popupbrowserbox_xhigh.xml
    popupbrowserbox_xxhigh.xml
    popuplist.xml
    popupmenu.xml
    popupmenu_high.xml
    popupmenu_medium.xml
    popupmenu_xhigh.xml
    popupmenu_xxhigh.xml
    progressbar.xml
    quests.xml
    radio.xml
    resize.xml
    scroll.xml
    scroll_background.xml
    scroll_hbackground.xml
    scroll_highlighted.xml
    scroll_vbackground.xml
    scrollbuttons.xml
    scrollbuttons_pressed.xml
    sell.xml
    server.xml
    serverinfo.xml
    serverslistbox.xml
    shop.xml
    shoplistbox.xml
    skilllistbox.xml
    skillpopup.xml
    skillrectanglelistbox.xml
    slider.xml
    slider_highlighted.xml
    social.xml
    spells.xml
    status.xml
    tab.xml
    tab_highlighted.xml
    tab_selected.xml
    tab_unused.xml
    textfield.xml
    window.png
    window.xml
    windowmenu.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/jewelry)

=== data/translations/test/CMakeLists.txt ===
SET(FILES
    test1.po
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/translations/test)

=== debian/changelog ===
manaplus (1.8.12.8-1~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 22 Feb 2019 15:03:33 -0800

manaplus (1.8.12.8-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTCBFS: uses the build architecture pkg-config.
      Closes: #901221
  * Bump Standards-Version to 4.3.0.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Dec 2018 12:11:41 +0100

=== debian/control ===
Source: manaplus
Section: games
Priority: optional
Homepage: http://manaplus.org/
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 11),
 libcurl4-gnutls-dev,
 libgl1-mesa-dev,
 libpng-dev,
 libxml2-dev,
 libsdl2-dev,
 libsdl2-gfx-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-net-dev,
 libsdl2-ttf-dev,
 zlib1g-dev,
 autopoint

Package: manaplus
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 manaplus-data (= ${source:Version}),
 x11-utils,
 xdg-utils
Suggests: mumble
Description: Extended client for Evol Online and The Mana World
 ManaPlus is an extended client for Evol Online, The Mana World, and similar
 servers based on a fork of eAthena. Evol Online is a 2D fantasy-style game
 which aims to create a friendly environment for interacting with others where
 people can escape reality and enjoy themselves. The Mana World (TMW) is a
 serious effort to create an innovative free and open source MMORPG.
 TMW uses 2D graphics and aims to create a large and diverse interactive world.

Package: manaplus-data
Architecture: all
Depends: ${misc:Depends},
 ttf-dejavu-core,
 fonts-liberation
Recommends: manaplus,
 fonts-mplus,
 fonts-wqy-microhei
Description: Extended client for Evol Online and The Mana World (data files)
 ManaPlus is an extended client for Evol Online, The Mana World, and similar
 servers based on a fork of eAthena. Evol Online is a 2D fantasy-style game
 which aims to create a friendly environment for interacting with others where
 people can escape reality and enjoy themselves. The Mana World (TMW) is a
 serious effort to create an innovative free and open source MMORPG.
 TMW uses 2D graphics and aims to create a large and diverse interactive world.
 .
 This package contains the data files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CONFIGURE_EXTRA_FLAGS := \
	--bindir=/usr/games \
	--enable-unittests=yes \
	--without-dyecmd \
	--with-sdl2 \
	--with-unittestsdir=testsdir

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/jewelry/LICENSE.txt
	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/jewelry-simple/LICENSE.txt
	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/golden-delicious/LICENSE.txt

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## manaplus 1.9.3.23

=== po/CMakeLists.txt ===
FIND_PACKAGE(Gettext REQUIRED)

# based on the CMake 2.6.3 GETTEXT_CREATE_TRANSLATIONS
# we need our own version because the upstream one contains
# a call to msgmerge (updating po files) which can't be
# disabled
MACRO(MANAPLUS_GETTEXT_CREATE_TRANSLATIONS _potFile _firstPoFileArg)
   # make it a real variable, so we can modify it here
   SET(_firstPoFile "${_firstPoFileArg}")

   SET(_gmoFiles)
   GET_FILENAME_COMPONENT(_potBasename ${_potFile} NAME_WE)
   GET_FILENAME_COMPONENT(_absPotFile ${_potFile} ABSOLUTE)

   SET(_addToAll)
   IF(${_firstPoFile} STREQUAL "ALL")
      SET(_addToAll "ALL")
      SET(_firstPoFile)
   ENDIF(${_firstPoFile} STREQUAL "ALL")

   FOREACH (_currentPoFile ${_firstPoFile} ${ARGN})
      GET_FILENAME_COMPONENT(_absFile ${_currentPoFile} ABSOLUTE)
      GET_FILENAME_COMPONENT(_abs_PATH ${_absFile} PATH)
      GET_FILENAME_COMPONENT(_lang ${_absFile} NAME_WE)
      SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

      ADD_CUSTOM_COMMAND(
         OUTPUT ${_gmoFile}
         COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_absFile}
         DEPENDS ${_absPotFile} ${_absFile}
      )

      INSTALL(FILES ${_gmoFile} DESTINATION share/locale/${_lang}/LC_MESSAGES RENAME ${_potBasename}.mo)
      SET(_gmoFiles ${_gmoFiles} ${_gmoFile})

   ENDFOREACH (_currentPoFile)

   ADD_CUSTOM_TARGET(translations ${_addToAll} DEPENDS ${_gmoFiles})
ENDMACRO()

MACRO(MANAPLUS_GETTEXT_UPDATE_PO _potFile _languages)
   GET_FILENAME_COMPONENT(_absPotFile ${_potFile} ABSOLUTE)

   ADD_CUSTOM_TARGET(
      update-pot
      COMMAND xgettext --files-from=translatable-files --directory=. --output=${_potFile} -d manaplus --keyword=_ --keyword=N_
      )

   ADD_CUSTOM_TARGET(
      update-translatable-files
      COMMAND grep '_\(' -Irl ../src | sort > translatable-files
      )

   FOREACH(_lang ${_languages})
      GET_FILENAME_COMPONENT(_absFile "${_lang}.po" ABSOLUTE)
      SET(_currentPoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.po)
      ADD_CUSTOM_TARGET(
         "update-translation-${_lang}"
         COMMAND ${GETTEXT_MSGMERGE_EXECUTABLE} --quiet --update --backup=none -s ${_absFile} ${_absPotFile}
         )
      ADD_DEPENDENCIES("update-translation-${_lang}" update-pot)
      ADD_DEPENDENCIES(update-po "update-translation-${_lang}")
      ADD_DEPENDENCIES(update-pot update-translatable-files)
   ENDFOREACH()
ENDMACRO()


SET(languages)
SET(POFILES)
FILE(STRINGS LINGUAS _languages)
FOREACH(_lang ${_languages})
   STRING(REGEX REPLACE "#.*" "" _lang "${_lang}")
   IF(NOT ${_lang} STREQUAL "")
      SET(languages ${languages} ${_lang})
      SET(POFILES ${POFILES} "${_lang}.po")
   ENDIF()
ENDFOREACH()

ADD_CUSTOM_TARGET(update-po)

MANAPLUS_GETTEXT_CREATE_TRANSLATIONS(manaplus.pot ALL ${POFILES})
MANAPLUS_GETTEXT_UPDATE_PO(manaplus.pot "${languages}")

=== data/fonts/CMakeLists.txt ===
SET (FILES
    dejavusans.ttf
    dejavusans-bold.ttf
    dejavusansmono.ttf
    dejavusansmono-bold.ttf
    dejavuserifcondensed.ttf
    dejavuserifcondensed-bold.ttf
    liberationsans.ttf
    liberationsans-bold.ttf
    liberationsansmono.ttf
    liberationsansmono-bold.ttf
    mplus-1p-bold.ttf
    mplus-1p-regular.ttf
    wqy-microhei.ttf
    )

ADD_SUBDIRECTORY(src)

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/fonts)

=== data/music/CMakeLists.txt ===
SET(FILES
    keprohm.ogg
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/music)

=== data/translations/CMakeLists.txt ===
ADD_SUBDIRECTORY(help test)

=== data/fonts/src/CMakeLists.txt ===
SET(FILES
    DejaVuSans-Bold.sfd
    DejaVuSans.sfd
    DejaVuSansMono-Bold.sfd
    DejaVuSansMono.sfd
    DejaVuSerifCondensed-Bold.sfd
    DejaVuSerifCondensed.sfd
    LiberationMono-Bold.sfd
    LiberationMono-Regular.sfd
    LiberationSans-Bold.sfd
    LiberationSans-Regular.sfd
    into.txt
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/fonts/src)

=== data/graphics/flags/CMakeLists.txt ===
SET(FILES
    ca.png
    cn.png
    cz.png
    de.png
    en.png
    eo.png
    es.png
    fi.png
    fr.png
    hk.png
    id.png
    it.png
    jp.png
    nl_BE.png
    pl.png
    pt_BR.png
    pt.png
    ru.png
    se.png
    tr.png
    ua.png
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/graphics/flags)

=== data/graphics/sprites/CMakeLists.txt ===
SET(FILES
    arrow_down.png
    arrow_left.png
    arrow_right.png
    arrow_up.png
    chatemotes.png
    error.png
    error.xml
    manaplus_emotions.png
    manaplus_emote.xml
    manaplus_emotes.xml
    test.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/graphics/sprites)

=== data/help/idx/CMakeLists.txt ===
SET(FILES
    about-tmw.idx
    about.idx
    chatcommands.idx
    chatguild.idx
    chatparty.idx
    download.idx
    index.idx
    otherteam.idx
    skills.idx
    support.idx
    tags.idx
    team.idx
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/help/idx)

=== data/test/dir2/CMakeLists.txt ===
SET(FILES
    file1.txt
    file2.txt
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/test/dir2)

=== data/themes/golden-delicious/CMakeLists.txt ===
SET (FILES
    avatarlistbox.xml
    beingpopup.xml
    browserbox.xml
    button_disabled.xml
    button_highlighted.xml
    button_pressed.xml
    button.xml
    buttonpin_disabled.xml
    buttonpin_highlighted.xml
    buttonpin_pressed.xml
    buttonpin.xml
    buy.xml
    charcreate.xml
    CHANGELOG.txt
    chat.xml
    checkbox.xml
    circle-off.xml
    circle-on.xml
    colors.xml
    complete_icon.xml
    cutin.xml
    dbutton.xml
    desktop.xml
    didyouknow.xml
    dpad.xml
    dropdown_background.xml
    dropdown_pressed.xml
    dropdown.xml
    drops.xml
    edit.xml
    emotes.xml
    emotetabs.xml
    equipment_background.xml
    equipmentbox.png
    equipment.xml
    extendedlistbox_high.xml
    extendedlistbox_medium.xml
    extendedlistbox_xhigh.xml
    extendedlistbox.xml
    extendedlistbox_xxhigh.xml
    help.xml
    incomplete_icon.xml
    info.xml
    inventory.xml
    inventory_cell2.xml
    itemcontainer.xml
    itempopup.xml
    item_selection.xml
    items.xml
    keyboard_icon_high.xml
    keyboard_icon_medium.xml
    keyboard_icon_xhigh.xml
    keyboard_icon.xml
    keyboard_icon_xxhigh.xml
    LICENSE.txt
    listbox_high.xml
    listbox_medium.xml
    listbox_xhigh.xml
    listbox.xml
    listbox_xxhigh.xml
    login.xml
    mailedit.xml
    map.xml
    ministatus.xml
    mouse.png
    npc.xml
    ok.xml
    onlinebrowserbox.xml
    outfits.xml
    pin.xml
    playerboxselected.xml
    playerbox.xml
    popupbrowserbox_high.xml
    popupbrowserbox_xhigh.xml
    popupbrowserbox.xml
    popupbrowserbox_xxhigh.xml
    popup_high.xml
    popuplist.xml
    popupmenu_high.xml
    popupmenu_medium.xml
    popupmenu_xhigh.xml
    popupmenu.xml
    popupmenu_xxhigh.xml
    popup_xhigh.xml
    popup.xml
    popup_xxhigh.xml
    progressbar.xml
    progress-indicator.png
    quests.xml
    radio.xml
    resize.xml
    scroll_background.xml
    scrollbuttons_pressed.xml
    scrollbuttons.xml
    scroll_hbackground.xml
    scroll_highlighted.xml
    scroll_vbackground.xml
    scroll.xml
    sell.xml
    serverslistbox.xml
    server.xml
    serverinfo.xml
    shoplistbox.xml
    shop.xml
    skilllistbox.xml
    skillpopup.xml
    skillrectanglelistbox.xml
    slider_highlighted.xml
    slider.xml
    social.xml
    spells.xml
    status.xml
    tab_highlighted.xml
    tab_selected.xml
    tab_unused.xml
    tab.xml
    textfield.xml
    windowmenu.xml
    window.png
    window.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/golden-delicious)

=== data/themes/mana/CMakeLists.txt ===
SET (FILES
    colors.xml
    emotetabs.xml
    info.xml
    mouse.png
    npc.xml
    quests.xml
    social.xml
    target-cursor-in-range-l.png
    target-cursor-in-range-l.xml
    target-cursor-in-range-m.png
    target-cursor-in-range-m.xml
    target-cursor-in-range-s.png
    target-cursor-in-range-s.xml
    target-cursor-normal-l.png
    target-cursor-normal-l.xml
    target-cursor-normal-m.png
    target-cursor-normal-m.xml
    target-cursor-normal-s.png
    target-cursor-normal-s.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/mana)

=== debian/changelog ===
manaplus (1.9.3.23-6) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Update debian/watch file standard to version 4.
  * Fix duplicate-globbing-patterns in debian/copyright.
  * Remove menu file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:58:38 +0100

manaplus (1.9.3.23-5) unstable; urgency=high

  * Add patch from Olivier Tilloy: Change depends on ttf-dejavu-core to
    fonts-dejavu-core.
    Closes: #962207
  * Bump debhelper-compat to version 13.
    - Add file debian/not-installed.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 08 Jun 2020 11:42:36 +0200

manaplus (1.9.3.23-4) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Adjust source lintian-overrides.
  * Set Rules-Requires-Root: no.
  * Adjust lintian overrides.
  * Remove file source/include-binaries.
  * Add patch 01-spelling-error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:33:02 +0100

manaplus (1.9.3.23-3) unstable; urgency=medium

  * Make a new source only upload.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 24 Jul 2019 15:22:21 +0200

manaplus (1.9.3.23-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 09 Jul 2019 09:42:41 +0200

manaplus (1.9.3.23-1) experimental; urgency=medium

  * New upstream release.
  * Update upstream signing key to new format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 25 Mar 2019 10:46:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: games
 Priority: optional
 Homepage: http://manaplus.org/
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 11),
+Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
  libcurl4-gnutls-dev,
  libgl1-mesa-dev,
  libpng-dev,
@@ -38,7 +38,7 @@
 Package: manaplus-data
 Architecture: all
 Depends: ${misc:Depends},
- ttf-dejavu-core,
+ fonts-dejavu-core,
  fonts-liberation
 Recommends: manaplus,
  fonts-mplus,

## manaplus 2.1.3.17

=== data/graphics/CMakeLists.txt ===
ADD_SUBDIRECTORY(badges)
ADD_SUBDIRECTORY(flags)
ADD_SUBDIRECTORY(gui)
ADD_SUBDIRECTORY(images)
ADD_SUBDIRECTORY(shaders)
ADD_SUBDIRECTORY(sprites)

=== data/help/CMakeLists.txt ===
SET(FILES
    about.txt
    chatcommands.txt
    chatguild.txt
    chatparty.txt
    commands.txt
    download.txt
    footer.txt
    header.txt
    index.txt
    otherteam.txt
    searchmany.txt
    searchnotfound.txt
    skills.txt
    support.txt
    team.txt
    windows.txt
    )

ADD_SUBDIRECTORY(idx tips)

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/help)

=== data/icons/CMakeLists.txt ===
SET(FILES
    manaplus.svg
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/icons)

INSTALL(FILES "manaplus.svg" DESTINATION share/icons/hicolor/scalable/apps)

=== data/graphics/gui/CMakeLists.txt ===
SET (FILES
    browserbox.xml
    bubble.png
    bubble.xml
    button.xml
    button_disabled.xml
    button_highlighted.xml
    button_pressed.xml
    buttonpin.xml
    buttonpin_disabled.xml
    buttonpin_highlighted.xml
    buttonpin_pressed.xml
    buttonplay.png
    buttonsicons.png
    buy.xml
    charcreate_playerbox.xml
    checkbox.xml
    circle-off.xml
    circle-on.xml
    colors.xml
    complete_icon.xml
    connection.xml
    cutin.xml
    dbutton.xml
    dbutton_image.xml
    desktop.xml
    dpad.xml
    dpad_image.xml
    dropdown.xml
    dropdown_background.xml
    dropdown_pressed.xml
    emote_selection.xml
    emotes.xml
    emotetabs.xml
    equipment.xml
    equipment_background.xml
    equipment_playerbox.xml
    equipmentbox.png
    incomplete_icon.xml
    info.xml
    inventory.xml
    inventory_cell.xml
    inventory_cell2.xml
    item_selection.xml
    item_shortcut_background.xml
    itemcontainer.xml
    items.xml
    keyboard_icon.xml
    label.xml
    listbox.xml
    lock.png
    mailedit.xml
    ministatus.xml
    mouse.png
    npc.xml
    ok.xml
    onlinebrowserbox.xml
    outfits.xml
    pin.xml
    playerbox.xml
    playerboxselected.xml
    popup.xml
    popupbrowserbox.xml
    progress-indicator.png
    progressbar.xml
    progressbar_fill.xml
    quests.xml
    radio.xml
    resize.xml
    scroll.xml
    scroll_background.xml
    scroll_hbackground.xml
    scroll_highlighted.xml
    scroll_vbackground.xml
    scrollbuttons.xml
    scrollbuttons_pressed.xml
    sell.xml
    server.xml
    serverinfo.xml
    shop.xml
    skillrectanglelistbox.xml
    slider.xml
    slider_highlighted.xml
    speechbrowserbox.xml
    speechbubble.xml
    spells.xml
    tab.xml
    tab_highlighted.xml
    tab_selected.xml
    tab_unused.xml
    target-cursor-in-range-l.png
    target-cursor-in-range-l.xml
    target-cursor-in-range-m.png
    target-cursor-in-range-m.xml
    target-cursor-in-range-s.png
    target-cursor-in-range-s.xml
    target-cursor-normal-l.png
    target-cursor-normal-l.xml
    target-cursor-normal-m.png
    target-cursor-normal-m.xml
    target-cursor-normal-s.png
    target-cursor-normal-s.xml
    textfield.xml
    textpreview.xml
    unknown-item.png
    window.png
    window.xml
    windowmenu.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/graphics/gui)

=== data/help/idx/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 SET(FILES
-    about-tmw.idx
     about.idx
     chatcommands.idx
     chatguild.idx

=== data/themes/classic/CMakeLists.txt ===
SET (FILES
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/classic)

=== data/themes/jewelry-simple/CMakeLists.txt ===
SET (FILES
    avatarlistbox.xml
    beingpopup.xml
    browserbox.xml
    button.xml
    button_disabled.xml
    button_highlighted.xml
    button_pressed.xml
    buttonpin.xml
    buttonpin_disabled.xml
    buttonpin_highlighted.xml
    buttonpin_pressed.xml
    buy.xml
    charcreate.xml
    CHANGELOG.txt
    chat.xml
    checkbox.xml
    circle-off.xml
    circle-on.xml
    colors.xml
    complete_icon.xml
    cutin.xml
    dbutton.xml
    didyouknow.xml
    dpad.xml
    dropdown.xml
    dropdown_background.xml
    dropdown_pressed.xml
    drops.xml
    edit.xml
    emotes.xml
    emotetabs.xml
    equipment.xml
    equipment_background.xml
    equipmentbox.png
    extendedlistbox.xml
    extendedlistbox_high.xml
    extendedlistbox_medium.xml
    extendedlistbox_xhigh.xml
    extendedlistbox_xxhigh.xml
    help.xml
    incomplete_icon.xml
    info.xml
    inventory.xml
    inventory_cell2.xml
    item_selection.xml
    itemcontainer.xml
    itempopup.xml
    items.xml
    keyboard_icon.xml
    keyboard_icon_high.xml
    keyboard_icon_medium.xml
    keyboard_icon_xhigh.xml
    keyboard_icon_xxhigh.xml
    LICENSE.txt
    listbox.xml
    listbox_high.xml
    listbox_medium.xml
    listbox_xhigh.xml
    listbox_xxhigh.xml
    login.xml
    mailedit.xml
    map.xml
    ministatus.xml
    mouse.png
    npc.xml
    ok.xml
    onlinebrowserbox.xml
    outfits.xml
    pin.xml
    playerbox.xml
    playerboxselected.xml
    popup.xml
    popup_high.xml
    popup_xhigh.xml
    popup_xxhigh.xml
    popupbrowserbox.xml
    popupbrowserbox_high.xml
    popupbrowserbox_medium.xml
    popupbrowserbox_xhigh.xml
    popupbrowserbox_xxhigh.xml
    popuplist.xml
    popupmenu.xml
    popupmenu_high.xml
    popupmenu_medium.xml
    popupmenu_xhigh.xml
    popupmenu_xxhigh.xml
    progressbar.xml
    quests.xml
    radio.xml
    resize.xml
    scroll.xml
    scroll_background.xml
    scroll_hbackground.xml
    scroll_highlighted.xml
    scroll_vbackground.xml
    scrollbuttons.xml
    scrollbuttons_pressed.xml
    sell.xml
    server.xml
    serverinfo.xml
    serverslistbox.xml
    shop.xml
    shoplistbox.xml
    skilllistbox.xml
    skillpopup.xml
    skillrectanglelistbox.xml
    slider.xml
    slider_highlighted.xml
    social.xml
    spells.xml
    status.xml
    tab.xml
    tab_highlighted.xml
    tab_selected.xml
    tab_unused.xml
    textfield.xml
    window.png
    window.xml
    windowmenu.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/jewelry-simple)

=== data/themes/wood/CMakeLists.txt ===
SET (FILES
    buy.xml
    colors.xml
    cutin.xml
    emotes.xml
    equipment.xml
    info.xml
    inventory.xml
    item_shortcut_bgr.png
    items.xml
    mailedit.xml
    mouse.png
    npc.xml
    ok.xml
    outfits.xml
    popup.xml
    progressbar.xml
    quests.xml
    sell.xml
    server.xml
    serverinfo.xml
    shop.xml
    spells.xml
    window.png
    window.xml
    world.xml
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/themes/wood)

=== data/translations/help/CMakeLists.txt ===
SET(FILES
    ca.po
    cs.po
    de.po
    es.po
    fr.po
    it.po
    nl_BE.po
    pl.po
    pt_BR.po
    ru.po
    zh_CN.po
    )

INSTALL(FILES ${FILES} DESTINATION ${DATA_DIR}/translations/help)

=== debian/changelog ===
manaplus (2.1.3.17-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with libxml2.9.
    Closes: #1111598

 -- Bastian Germann <bage@debian.org>  Mon, 25 Aug 2025 20:32:06 +0200

manaplus (2.1.3.17-8) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0.
  * Add patches 03-Add-missing-include-into-wallpaper.cpp,
    04-Fix-pointer-type-in-dumplibs.cpp and 05-Add-missing-include-for-libxml
    to fix a FTBFS.
    Closes: #1073316

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 09 Jul 2024 11:35:07 +0200

manaplus (2.1.3.17-7) unstable; urgency=medium

  * Remove leftover testdir in clean target.
    Closes: #1046901
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 17 Aug 2023 15:17:55 +0200

manaplus (2.1.3.17-6) unstable; urgency=medium

  * Add upstream patch 02-gcc-13 to fix a FTBFS with GCC-13.
    Closes: #1037767
  * Switch build dependency from libgl1-mesa-dev to libgl-dev.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 02 Jul 2023 17:16:41 +0200

manaplus (2.1.3.17-5) unstable; urgency=high

  * Bump Standards-Version to 4.6.2.
  * Fix broken symlinks to mplus fonts by shipping the embedded versions.
    Closes: #1035874

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 24 May 2023 10:40:29 +0200

manaplus (2.1.3.17-4) unstable; urgency=medium

  * Fix FTBFS with last upload.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 15 Sep 2022 09:04:25 +0200

manaplus (2.1.3.17-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1.
  * Remove executable bit from svg file.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Sep 2022 14:37:43 +0200

manaplus (2.1.3.17-2) unstable; urgency=high

  * Fix FTBFS.
    Closes: #992923

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 01 Sep 2021 11:39:20 +0200

manaplus (2.1.3.17-1) unstable; urgency=medium

  * New upstream release.
    - Add new files.
  * Bump Standards-Version to 4.6.0.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Aug 2021 11:56:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Homepage: http://manaplus.org/
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
  libcurl4-gnutls-dev,
- libgl1-mesa-dev,
+ libgl-dev,
  libpng-dev,
- libxml2-dev,
+ libxml2.9-dev,
  libsdl2-dev,
  libsdl2-gfx-dev,
  libsdl2-image-dev,
@@ -41,7 +41,6 @@
  fonts-dejavu-core,
  fonts-liberation
 Recommends: manaplus,
- fonts-mplus,
  fonts-wqy-microhei
 Description: Extended client for Evol Online and The Mana World (data files)
  ManaPlus is an extended client for Evol Online, The Mana World, and similar

=== debian/rules ===
--- 
+++ 
@@ -12,15 +12,16 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
 
+override_dh_clean:
+	rm -rf $(CURDIR)/src/testsdir
+	dh_clean
+
 override_dh_install:
 	dh_install
 	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/jewelry/LICENSE.txt
 	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/jewelry-simple/LICENSE.txt
 	rm -f $(CURDIR)/debian/manaplus-data/usr/share/manaplus/data/themes/golden-delicious/LICENSE.txt
+	chmod -x $(CURDIR)/debian/manaplus-data/usr/share/icons/hicolor/scalable/apps/manaplus.svg || true
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
